lhs2TeX Build Failure

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

lhs2TeX Build Failure

Dominic Steinitz
The latest version (1.14) on hackage fails under

ghc --version The Glorious Glasgow Haskell Compilation System, version
6.10.1

Curiously, I think I built it at work under windows yesterday but maybe
I was using ghc 6.8. I can't check until Monday.

FileNameUtils.lhs:81:35:
    Ambiguous type variable `b' in the constraint:
      `GHC.Exception.Exception b'
        arising from a use of `catch' at FileNameUtils.lhs:(81,35)-(89,60)
    Probable fix: add a type signature that fixes these type variable(s)

FileNameUtils.lhs:98:44:
    Ambiguous type variable `e2' in the constraint:
      `GHC.Exception.Exception e2'
        arising from a use of `try' at FileNameUtils.lhs:98:44-57
    Probable fix: add a type signature that fixes these type variable(s)

FileNameUtils.lhs:118:35:
    Ambiguous type variable `e1' in the constraint:
      `GHC.Exception.Exception e1'
        arising from a use of `catch'
                     at FileNameUtils.lhs:(118,35)-(119,104)
    Probable fix: add a type signature that fixes these type variable(s)

FileNameUtils.lhs:122:35:
    Ambiguous type variable `e' in the constraint:
      `GHC.Exception.Exception e'
        arising from a use of `catch' at FileNameUtils.lhs:122:35-54
    Probable fix: add a type signature that fixes these type variable(s)

_______________________________________________
Libraries mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/libraries
Reply | Threaded
Open this post in threaded view
|

Re: lhs2TeX Build Failure

Bulat Ziganshin-2
Hello Dominic,

Saturday, February 28, 2009, 11:24:56 AM, you wrote:

> Curiously, I think I built it at work under windows yesterday but maybe
> I was using ghc 6.8. I can't check until Monday.

definitely, these are 6.8 -> 6.10 incompatibility messages. it needs
to add base<=3 to libraries clause of .cabal file

> FileNameUtils.lhs:81:35:
>     Ambiguous type variable `b' in the constraint:
>       `GHC.Exception.Exception b'
>         arising from a use of `catch' at FileNameUtils.lhs:(81,35)-(89,60)
>     Probable fix: add a type signature that fixes these type variable(s)

> FileNameUtils.lhs:98:44:
>     Ambiguous type variable `e2' in the constraint:
>       `GHC.Exception.Exception e2'
>         arising from a use of `try' at FileNameUtils.lhs:98:44-57
>     Probable fix: add a type signature that fixes these type variable(s)

> FileNameUtils.lhs:118:35:
>     Ambiguous type variable `e1' in the constraint:
>       `GHC.Exception.Exception e1'
>         arising from a use of `catch'
>                      at FileNameUtils.lhs:(118,35)-(119,104)
>     Probable fix: add a type signature that fixes these type variable(s)

> FileNameUtils.lhs:122:35:
>     Ambiguous type variable `e' in the constraint:
>       `GHC.Exception.Exception e'
>         arising from a use of `catch' at FileNameUtils.lhs:122:35-54
>     Probable fix: add a type signature that fixes these type variable(s)

> _______________________________________________
> Libraries mailing list
> [hidden email]
> http://www.haskell.org/mailman/listinfo/libraries


--
Best regards,
 Bulat                            mailto:[hidden email]

_______________________________________________
Libraries mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/libraries
Reply | Threaded
Open this post in threaded view
|

Re: lhs2TeX Build Failure

Duncan Coutts
On Sat, 2009-02-28 at 11:42 +0300, Bulat Ziganshin wrote:
> Hello Dominic,
>
> Saturday, February 28, 2009, 11:24:56 AM, you wrote:
>
> > Curiously, I think I built it at work under windows yesterday but maybe
> > I was using ghc 6.8. I can't check until Monday.
>
> definitely, these are 6.8 -> 6.10 incompatibility messages. it needs
> to add base<=3 to libraries clause of .cabal file

You mean base < 4.

It's also possible for users to build it using cabal-install which will
automatically pick base 3 if the package does not declare it needs base
4. Or if you're building manually step by step then use configure
--constraint='base < 4'.

Duncan

_______________________________________________
Libraries mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/libraries
Reply | Threaded
Open this post in threaded view
|

Re: lhs2TeX Build Failure

Dominic Steinitz
Duncan Coutts wrote:

> On Sat, 2009-02-28 at 11:42 +0300, Bulat Ziganshin wrote:
>> Hello Dominic,
>>
>> Saturday, February 28, 2009, 11:24:56 AM, you wrote:
>>
>>> Curiously, I think I built it at work under windows yesterday but maybe
>>> I was using ghc 6.8. I can't check until Monday.
>> definitely, these are 6.8 -> 6.10 incompatibility messages. it needs
>> to add base<=3 to libraries clause of .cabal file
>
> You mean base < 4.
>
> It's also possible for users to build it using cabal-install which will
> automatically pick base 3 if the package does not declare it needs base
> 4. Or if you're building manually step by step then use configure
> --constraint='base < 4'.
>
> Duncan
>
>
>
That's done the trick. Thanks, Dominic.

_______________________________________________
Libraries mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/libraries